Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
version.h File Reference

Go to the source code of this file.

## Macros
#define | RUBY_AUTHOR "Yukihiro Matsumoto"
#define | RUBY_BIRTH_YEAR 1993
#define | RUBY_BIRTH_MONTH 2
#define | RUBY_BIRTH_DAY 24
#define | RUBY_API_VERSION_MAJOR 2
#define | RUBY_API_VERSION_MINOR 7
#define | RUBY_API_VERSION_TEENY 0
#define | RUBY_API_VERSION_CODE (RUBY_API_VERSION_MAJOR*10000+RUBY_API_VERSION_MINOR*100+RUBY_API_VERSION_TEENY)

## Macro Definition Documentation

## ◆ RUBY_API_VERSION_CODE

#define RUBY_API_VERSION_CODE (RUBY_API_VERSION_MAJOR*10000+RUBY_API_VERSION_MINOR*100+RUBY_API_VERSION_TEENY)

Definition at line 36 of file version.h.

## ◆ RUBY_API_VERSION_MAJOR

#define RUBY_API_VERSION_MAJOR 2

Definition at line 33 of file version.h.

## ◆ RUBY_API_VERSION_MINOR

#define RUBY_API_VERSION_MINOR 7

Definition at line 34 of file version.h.

## ◆ RUBY_API_VERSION_TEENY

#define RUBY_API_VERSION_TEENY 0

Definition at line 35 of file version.h.

## ◆ RUBY_AUTHOR

#define RUBY_AUTHOR "Yukihiro Matsumoto"

Definition at line 27 of file version.h.

## ◆ RUBY_BIRTH_DAY

#define RUBY_BIRTH_DAY 24

Definition at line 30 of file version.h.

## ◆ RUBY_BIRTH_MONTH

#define RUBY_BIRTH_MONTH 2

Definition at line 29 of file version.h.

## ◆ RUBY_BIRTH_YEAR

#define RUBY_BIRTH_YEAR 1993

Definition at line 28 of file version.h.